(function($){
    
    listenSubConfChange = function() {
        $('.check-subconf').change(function(){
            subConfDiv = $(this).parent().parent().find('.subconf');

            // when subconf div is empty, hide them
            if ( subConfDiv.length && subConfDiv.html().trim().length === 0 ) {
                subConfDiv.detach();
            }

            if ( $(this).is(':checked') ) {
                $( subConfDiv ).slideDown();
            }
            else {
                $( subConfDiv ).slideUp();
            }
        }).change();
    };
    
    listenAdminNoticeDismiss = function() {
        // admin notices control
        $( document ).on( 'click', '.notice-wbu .notice-dismiss', function () {
            
            // Read the "data-notice" information to track which notice
            // is being dismissed and send it via AJAX
            var type = $( this ).parent().data( 'notice' );

            // Make an AJAX call
            // Since WP 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
            $.ajax( ajaxurl, {
                type: 'POST',
                data: {
                    action: 'wbu_dismissed_notice_handler',
                    type: type
                }
            });
        });
    };

    jQuery(document).ready(function($){
        
        listenSubConfChange();
        listenAdminNoticeDismiss();

        // display active tab
        $('#settings-' + tab_current).show();
    });

})(jQuery);
